## bitchx 0.70

=== Makefile ===
CC = /usr/bin/gcc

all:
	$(CC) -Wall -O2 -o ircname ircname.c

=== dll/Makefile ===
# Generated automatically from Makefile.in by configure.
# This Makefile is used to create several test cases for Tcl's load
# command.  It also illustrates how to take advantage of configuration
# exported by Tcl to set up Makefiles for shared libraries.
# @(#) Makefile.in 1.3 95/09/03 17:28:38

SHLIB_CFLAGS =		-fpic
SHLIB_LD =		gcc -shared
SHLIB_SUFFIX =		.so
CC = gcc

CFLAGS = -O2 -I../include ${SHLIB_CFLAGS}

all: cdrom${SHLIB_SUFFIX} pkga${SHLIB_SUFFIX}

pkga${SHLIB_SUFFIX}: pkga.o
	${SHLIB_LD} pkga.o -o pkga${SHLIB_SUFFIX}

cdrom${SHLIB_SUFFIX}: cdrom.o
	${SHLIB_LD} cdrom.o -o cdrom${SHLIB_SUFFIX}

clean:
	rm -f *~ *.o *${SHLIB_SUFFIX} config.cache config.log config.status

distclean: clean
	rm -f Makefile

=== source/Makefile ===
# Generated automatically from Makefile.in by configure.
# soucre/Makefile.in
# ircii 2.3
# all rights reserved
# written by matthew green.
# copyright (c) 1993
# @(#)$Id: Makefile.in,v 1.20 1995/09/05 15:45:24 mrg Exp $

LIBS	= -ltermcap  -lresolv
CC	= gcc
CFLAGS	= -O2
LDFLAGS	= -rdynamic
DEFS	= -DHAVE_CONFIG_H
LN	= ln -s
RM	= rm -f

OBJECTS = alias.o array.o banlist.o bot.o cdcc.o chelp.o crypt.o ctcp.o\
	dcc.o commands.o commands2.o exec.o flood.o glob.o files.o funny.o help.o\
	history.o hold.o hook.o if.o ignore.o input.o irc.o ircaux.o\
	ircsig.o keys.o lastlog.o list.o log.o mail.o misc.o names.o\
	network.o newio.o notice.o notify.o numbers.o output.o parse.o\
	queue.o readlog.o reg.o scandir.o screen.o server.o functions.o\
	stack.o status.o term.o timer.o userlist.o vars.o\
	whois.o whowas.o window.o words.o bot_link.o struct.o dich_conf.o\
	$(PP_OBJS) $(TCL_OBJS) $(CD_OBJS)

SOURCES = alias.c array.c banlist.c bot.c cdcc.c chelp.c crypt.c ctcp.c\
	dcc.c commands.c commands2.c exec.c flood.c glob.c files.c funny.c help.c\
	history.c hold.c hook.c if.c ignore.c input.c irc.c ircaux.c\
	ircsig.c keys.c lastlog.c list.c log.c mail.c misc.c names.c\
	network.c newio.c notice.c notify.c numbers.c output.c parse.c\
	queue.c readlog.c reg.c scandir.c screen.c server.c functions.c\
	stack.c status.c term.c timer.c userlist.c vars.c\
	whois.c whowas.c window.c words.c bot_link.c struct.c dich_conf.c\
	$(PP_OBJS) $(TCL_SRCS) $(CD_SRCS)

INCLUDES = -I../include $(TCLINC)

default:
	@echo ........... Making BitchX-$(_VERSION_) by panasync
	(cd ..;make)
	@echo ........... Done making BitchX-$(_VERSION_)

all: BitchX

.c.o:
	$(CC) $(CFLAGS) $(ANSIFLAGS) $(CD_PLAY) $(TCL) $(COLOR) -D_VERSION_=\"$(_VERSION_)\" $(PP_DEFS) $(INCLUDES) -c $<

BitchX: $(OBJECTS)
	$(CC) $(CFLAGS)  $(LDFLAGS) $(DEFS) -o BitchX $(OBJECTS) $(LIBS) $(XLIBS)
clean::
	$(RM) BitchX $(OBJECTS)

# 'make install'
install: BitchX
	(cd ..; $(MAKE) install)

clean::
	$(RM) *~ ../*~ ../include/*~ core a.out debug.out gmon.out



# .o files needing special compilation flags

irc.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(TCL) $(CD_PLAY) $(COLOR) -D_VERSION_=\"$(_VERSION_)\" $(PP_DEFS) $(INCLUDES) \
	-DIRCLIB=\"$(IRCLIB)/\" -DIRCPATH=\"$(IRCPATH)\" -c irc.c

vars.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(TCL) $(CD_PLAY) $(COLOR) -D_VERSION_=\"$(_VERSION_)\" $(PP_DEFS) $(INCLUDES) \
	-DDEFAULT_HELP_PATH=\"$(HELP_DIR)\" -c vars.c

help.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(TCL) $(CD_PLAY) $(COLOR) $(PP_DEFS) $(INCLUDES) \
	-DDEFAULT_HELP_PATH=\"$(HELP_DIR)\" -c help.c

#server.o: Makefile ../Makefile
#	$(CC) $(CFLAGS) $(TCL) $(CD_PLAY) $(COLOR) $(PP_DEFS) $(INCLUDES) \
#	-c server.c

#screen.o: Makefile ../Makefile
#	$(CC) $(CFLAGS) $(TCL) $(CD_PLAY) $(COLOR) $(PP_DEFS) $(INCLUDES) \
#	-DWSERV_PATH=\"$(INSTALL_WSERV)\" -c screen.c

#
# dependencies
#

depend:
	@echo 'Making dependencies.  This takes a while'
	@sed -n '1,/^# Dont even THINK of deleting this line$$/p' < Makefile.in > tmp
	@mv -f tmp Makefile.in
	@gcc -E -MM -I ../include *.c >> Makefile.in
	@(cd ..;./config.status)

# Dont even THINK of deleting this line
alias.o: alias.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/alias.h ../include/array.h ../include/dcc.h \
 ../include/edit.h ../include/files.h ../include/history.h \
 ../include/hook.h ../include/input.h ../include/ircaux.h \
 ../include/names.h ../include/window.h ../include/hold.h \
 ../include/lastlog.h ../include/notify.h ../include/numbers.h \
 ../include/output.h ../include/parse.h ../include/screen.h \
 ../include/server.h ../include/status.h ../include/vars.h \
 ../include/ircterm.h ../include/list.h ../include/keys.h \
 ../include/bot.h ../include/userlist.h ../include/misc.h expr.c
array.o: array.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/array.h ../include/ircaux.h ../include/output.h
banlist.o: banlist.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/edit.h ../include/list.h ../include/hook.h \
 ../include/ignore.h ../include/ircaux.h ../include/output.h \
 ../include/screen.h ../include/window.h ../include/hold.h \
 ../include/lastlog.h ../include/server.h ../include/names.h \
 ../include/whois.h ../include/whowas.h ../include/vars.h \
 ../include/userlist.h ../include/misc.h
bot.o: bot.c ../include/irc.h ../include/defs.h ../include/config.h \
 ../include/glob.h ../include/irc_std.h ../include/debug.h \
 ../include/newio.h ../include/struct.h ../include/server.h \
 ../include/names.h ../include/window.h ../include/hold.h \
 ../include/lastlog.h ../include/edit.h ../include/crypt.h \
 ../include/vars.h ../include/ircaux.h ../include/screen.h \
 ../include/whois.h ../include/hook.h ../include/input.h \
 ../include/ignore.h ../include/keys.h ../include/alias.h \
 ../include/history.h ../include/funny.h ../include/ctcp.h \
 ../include/dcc.h ../include/output.h ../include/exec.h \
 ../include/notify.h ../include/numbers.h ../include/status.h \
 ../include/list.h ../include/bot.h ../include/misc.h \
 ../include/userlist.h
bot_link.o: bot_link.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/ircaux.h ../include/bot.h ../include/dcc.h \
 ../include/server.h ../include/names.h ../include/window.h \
 ../include/hold.h ../include/lastlog.h ../include/edit.h \
 ../include/output.h ../include/list.h ../include/whois.h \
 ../include/ctcp.h ../include/tcl_bx.h ../include/status.h \
 ../include/vars.h ../include/misc.h ../include/userlist.h
cdcc.o: cdcc.c ../include/irc.h ../include/defs.h ../include/config.h \
 ../include/glob.h ../include/irc_std.h ../include/debug.h \
 ../include/newio.h ../include/struct.h ../include/ircaux.h \
 ../include/ignore.h ../include/ctcp.h ../include/hook.h \
 ../include/dcc.h ../include/flood.h ../include/screen.h \
 ../include/window.h ../include/hold.h ../include/lastlog.h \
 ../include/edit.h ../include/parse.h ../include/output.h \
 ../include/input.h ../include/server.h ../include/names.h \
 ../include/vars.h ../include/userlist.h ../include/misc.h \
 ../include/whois.h ../include/cdcc.h
cdrom.o: cdrom.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/ircaux.h ../include/cdrom.h ../include/output.h \
 ../include/misc.h ../include/vars.h
chelp.o: chelp.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/array.h ../include/ircaux.h ../include/chelp.h \
 ../include/output.h ../include/hook.h ../include/misc.h \
 ../include/vars.h
commands.o: commands.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/parse.h ../include/ircterm.h ../include/server.h \
 ../include/names.h ../include/window.h ../include/hold.h \
 ../include/lastlog.h ../include/edit.h ../include/chelp.h \
 ../include/crypt.h ../include/vars.h ../include/ircaux.h \
 ../include/screen.h ../include/whois.h ../include/hook.h \
 ../include/input.h ../include/ignore.h ../include/keys.h \
 ../include/alias.h ../include/history.h ../include/funny.h \
 ../include/ctcp.h ../include/dcc.h ../include/output.h \
 ../include/exec.h ../include/notify.h ../include/numbers.h \
 ../include/status.h ../include/if.h ../include/help.h \
 ../include/stack.h ../include/queue.h ../include/timer.h \
 ../include/list.h ../include/userlist.h ../include/misc.h \
 ../include/tcl_bx.h
commands2.o: commands2.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/parse.h ../include/ircterm.h ../include/server.h \
 ../include/names.h ../include/window.h ../include/hold.h \
 ../include/lastlog.h ../include/edit.h ../include/chelp.h \
 ../include/crypt.h ../include/vars.h ../include/ircaux.h \
 ../include/log.h ../include/screen.h ../include/whois.h \
 ../include/hook.h ../include/input.h ../include/ignore.h \
 ../include/keys.h ../include/alias.h ../include/history.h \
 ../include/funny.h ../include/ctcp.h ../include/dcc.h \
 ../include/output.h ../include/exec.h ../include/notify.h \
 ../include/numbers.h ../include/status.h ../include/if.h \
 ../include/help.h ../include/stack.h ../include/queue.h \
 ../include/timer.h ../include/list.h ../include/misc.h \
 ../include/userlist.h ../include/whowas.h
crypt.o: crypt.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/crypt.h ../include/vars.h ../include/ircaux.h \
 ../include/list.h ../include/ctcp.h ../include/output.h
ctcp.o: ctcp.c ../include/irc.h ../include/defs.h ../include/config.h \
 ../include/glob.h ../include/irc_std.h ../include/debug.h \
 ../include/newio.h ../include/struct.h ../include/crypt.h \
 ../include/ctcp.h ../include/dcc.h ../include/edit.h \
 ../include/flood.h ../include/hook.h ../include/if.h \
 ../include/ignore.h ../include/ircaux.h ../include/lastlog.h \
 ../include/list.h ../include/names.h ../include/window.h \
 ../include/hold.h ../include/output.h ../include/parse.h \
 ../include/server.h ../include/status.h ../include/vars.h \
 ../include/cdcc.h ../include/misc.h ../include/userlist.h \
 ../include/bot.h
dcc.o: dcc.c ../include/irc.h ../include/defs.h ../include/config.h \
 ../include/glob.h ../include/irc_std.h ../include/debug.h \
 ../include/newio.h ../include/struct.h ../include/ctcp.h \
 ../include/crypt.h ../include/cdcc.h ../include/dcc.h \
 ../include/hook.h ../include/ircaux.h ../include/lastlog.h \
 ../include/output.h ../include/parse.h ../include/server.h \
 ../include/names.h ../include/window.h ../include/hold.h \
 ../include/edit.h ../include/status.h ../include/vars.h \
 ../include/whois.h ../include/ircterm.h ../include/misc.h \
 ../include/tcl_bx.h ../include/screen.h
dich_conf.o: dich_conf.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/ircaux.h ../include/dich_conf.h
exec.o: exec.c ../include/irc.h ../include/defs.h ../include/config.h \
 ../include/glob.h ../include/irc_std.h ../include/debug.h \
 ../include/newio.h ../include/struct.h ../include/dcc.h \
 ../include/exec.h ../include/vars.h ../include/ircaux.h \
 ../include/edit.h ../include/window.h ../include/hold.h \
 ../include/lastlog.h ../include/screen.h ../include/hook.h \
 ../include/input.h ../include/list.h ../include/server.h \
 ../include/names.h ../include/output.h ../include/parse.h \
 ../include/misc.h sig.inc
expr.o: expr.c
files.o: files.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/ircaux.h
flood.o: flood.c ../include/irc.h ../include/defs.h \
 ../include/config.h ../include/glob.h ../include/irc_std.h \
 ../include/debug.h ../include/newio.h ../include/struct.h \
 ../include/alias.h ../include/hook.h ../include/ircaux.h \
 ../include/ignore.h ../include/flood.h ../include/vars.h \
 ../include/output.h ../include/list.h ../include/misc.h \
 ../include/server.h ../include/names.h ../include/window.h \
 ../include/hold.h ../include/lastlog.h ../include/edit.h \

## bitchx 1.2c01-svn-1maemo0

=== debian/changelog ===
bitchx (1.2c01-svn-1maemo0) unstable; urgency=low

  * Give it a try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 30 Mar 2013 11:07:17 +0100

bitchx (1.2c01-svn-1) unstable; urgency=low

  * Initial release

 -- Nye Liu <nyet@nyet.org>  Thu, 10 May 2012 19:03:28 -0800

=== debian/control ===
Source: bitchx
Section: net
Priority: optional
Maintainer: Nye Liu <nyet@nyet.org>
Build-Depends: debhelper (>= 7), libncurses5-dev, libssl-dev
Standards-Version: 3.9.2
Homepage: https://sourceforge.net/projects/bitchx/
#Vcs-Git: git://git.debian.org/collab-maint/bitchx.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bitchx.git;a=summary

Package: bitchx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: terminal based IRC client
 BitchX (ircii-pana) is a terminal based IRC client for UNIX systems.
